Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.query
Enum FTPos.FTUnit

    java.lang.Object
      java.lang.Enum<FTPos.FTUnit>
          org.basex.query.FTPos.FTUnit

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FTPos.FTUnit>

Enclosing class:
  FTPos

    public static enum FTPos.FTUnit

extends java.lang.Enum<FTPos.FTUnit>

Units.

Enum Constant Summary
`PARAGRAPHS` Paragraph unit.
`SENTENCES` Sentence unit.
`WORDS` Word unit.

Method Summary
`static FTPos.FTUnit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FTPos.FTUnit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WORDS

    public static final FTPos.FTUnit WORDS

  Word unit.

### SENTENCES

    public static final FTPos.FTUnit SENTENCES

  Sentence unit.

### PARAGRAPHS

    public static final FTPos.FTUnit PARAGRAPHS

  Paragraph unit.

Method Detail

### values

    public static FTPos.FTUnit[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FTPos.FTUnit c : FTPos.FTUnit.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FTPos.FTUnit valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD